<?php
/*--------------------------------------------+
| Gamestats Viewer Infusion for               |
| PHP-Fusion 6 Content Management System      |
| Copyright  2002 - 2005 Nick Jones          |
| http://www.php-fusion.co.uk/                |
+---------------------------------------------+
| Gamestats Viewer Infusion                   |
| author: Makro (Markus Kronier)
| Copyright  2005                            |
| web: http://www.makromobil.de              |
| email: makro@makromobil.de                  |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/

if (!defined("IN_FUSION")) { header("Location:../../index.php"); exit; }

// Check if locale file is available matching the current locale setting.
if (file_exists(INFUSIONS."gamestats_panel/locale/".$settings['locale'].".php")) {
  // Load the locale file matching the current site locale setting.
  include INFUSIONS."gamestats_panel/locale/".$settings['locale'].".php";
} else {
  // Load the infusion's default locale file.
  include INFUSIONS."gamestats_panel/locale/English.php";
}

openside($locale['GSV410']);
$result = dbquery("SELECT * FROM ".$db_prefix."gamestats ORDER BY link_order");
if (dbrows($result) != 0) {
  while ($data = dbarray($result)) {
    $link_url = INFUSIONS."gamestats_panel/gamestats_page.php?gamestats_id=".$data['gamestats_id'];
	echo "<img src='".THEME."images/bullet.gif'><a href='".$link_url." class='side'>".$data['link_name']."</a><br>\n";
  }
} else {
  echo $locale['GSV411'];
}
closeside();
?>